QGIS Application - Feature request #5076
Add option "Remove from disk” to legend layer menu
2012-02-23 09:09 AM - Riccardo Mattiuzzo

Status: Open

Priority: Low

Assignee:

Category: Unknown

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 14843
Description

This issue is reported only as a new feature request.

When | want to remove a layer from Layer panel (at the moment) | have only "remove" option.

This is ok if | want to keep that layer.

Unfortunately if I'm in a testing phase of my task and | have to produce several testing layers | can remove them from Qgis with "remove"
option but they still reside on the disk. It's quite annoying later to look for these files and remove physically from disk.

Is is possible to add a "Remove from disk" option when I right click on layer?

Thank you in advance.

Related issues:
Related to QGIS Application - Feature request # 4739: Browser: allow renaming... Open 2012-01-04

History

#1 - 2012-02-23 09:14 AM - Alexander Bruy

- Subject changed from New Feature request to Add option "Remove from disk" to legend layer menu

#2 - 2012-04-15 10:21 AM - Giovanni Manghi
- Target version set to Version 2.0.0

#3 - 2012-05-22 09:01 AM - zirneklitis -

It's OK for QGIS Browser, but it is very, very bad and dangerous idea for Quantum GIS Desktop.

#4 - 2012-10-06 02:24 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#5 - 2017-05-01 12:50 AM - Giovanni Manghi
- Easy fix? set to No

#6 - 2017-09-22 10:07 AM - Jiirgen Fischer
- Category set to Unknown
